package domain


type AlibabaWdkAxStoreUpdateAxStoreCreateRequest struct {
    /*
        门店经营状态     1 正常 0 关闭     */
    Status  *int64 `json:"status,omitempty" `

    /*
        纬度     */
    Latitude  *string `json:"latitude,omitempty" `

    /*
        地址     */
    Address  *string `json:"address,omitempty" `

    /*
        区编码     */
    Area  *string `json:"area,omitempty" `

    /*
        市编码     */
    City  *string `json:"city,omitempty" `

    /*
        省编码     */
    Prov  *string `json:"prov,omitempty" `

    /*
        门店编码     */
    Code  *string `json:"code,omitempty" `

    /*
        门店名称     */
    Name  *string `json:"name,omitempty" `

    /*
        经度     */
    Longitude  *string `json:"longitude,omitempty" `

}

func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetStatus(v int64) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Status = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetLatitude(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Latitude = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetAddress(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Address = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetArea(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Area = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetCity(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.City = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetProv(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Prov = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetCode(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Code = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetName(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Name = &v
    return s
}
func (s *AlibabaWdkAxStoreUpdateAxStoreCreateRequest) SetLongitude(v string) *AlibabaWdkAxStoreUpdateAxStoreCreateRequest {
    s.Longitude = &v
    return s
}
